C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	SUBROUTINE PAGE(IONE,ANORM)
	IMPLICIT INTEGER*2(D-Z)
	IMPLICIT LOGICAL*1(A)
	COMMON//SAVDES(256),CURVE1(512),APAGE(512,4)
	COMMON/IN/NA
	COMMON/WINDOW/FST,LST
	DIMENSION ALINE(65),AMARK(4)
	DATA AMARK/1H*,1H+,1H#,1H@/
	DATA ABLIP,ABLAP,ABLANK/1H|,1H-,1H /
	REP = 6
	DO100 J=1,65
100	ALINE(J)=ABLAP
	WRITE(REP,10)ALINE
10	FORMAT(5X,65A1)
	II=IONE+1
	DO400 K=FST,LST
	I=II
	DO300 J=1,65
300	ALINE(J)=ABLANK
500	J=APAGE(K,I).AND."000377
	IF(J.GT.64) J=64
	ALINE(J+1)=AMARK(I)
	I=I-1
	IF(I.NE.0)GOTO500
600	WRITE(REP,20)K,ABLIP,ALINE
20	FORMAT(I3,1X,66A1)
400	CONTINUE
	WRITE(REP,30)
30	FORMAT(//4X,'KEY'/,3X,'-----'/)
	DO 700 I=1,IONE+1
	WRITE(REP,60)AMARK(I)
60	FORMAT(1X,A1,1X,$)
	CALL PRNTXT
	IF(ANORM)GOTO 690
	IF(I.EQ.1)WRITE(REP,65)SAVDES(225)
	IF(I.NE.1)WRITE(REP,65)SAVDES(213+INTPAR(I-1))
65	FORMAT(1H+,2X,I6,' CELLS')
	GOTO 700
690	WRITE(REP,70)
70	FORMAT(1X)
700	CONTINUE
	REWIND REP
	RETURN
	END
